Bug 1307459 - Review Request: perl-Test-Fake-HTTPD - Fake HTTP server module for testing
Summary: Review Request: perl-Test-Fake-HTTPD - Fake HTTP server module for testing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-13 21:17 UTC by Denis Fateyev
Modified: 2016-03-28 01:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-21 01:52:04 UTC
ppisar: fedora-review+


Attachments (Terms of Use)

Description Denis Fateyev 2016-02-13 21:17:09 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Test-Fake-HTTPD.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Test-Fake-HTTPD-0.07-1.fc24.src.rpm
Description: Test::Fake::HTTPD is a fake HTTP server module for testing.
Written by NAKAGAWA Masaki <masaki@cpan.org>
Fedora Account System Username: dfateyev

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12971225 (Rawhide)

Comment 1 Upstream Release Monitoring 2016-02-15 14:25:50 UTC
ppisar's scratch build of perl-Test-Fake-HTTPD-0.07-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12993425

Comment 2 Petr Pisar 2016-02-15 14:38:38 UTC
URL and Source0 are usable Ok.
Source archive is original (SHA-256: 708e6e5f168b562c3d060369583fc146eec1bbcf526d48f4e5ef8ee8f9f41209). Ok.
License verified from README.pod, META.yml, lib/Test/Fake/HTTPD.pm.
No XS code used, noarch BuildArch is Ok.

TODO: Add a dot at the end of description's last sentence.

TODO: Prune the ./inc directory and build-require inc::Module::Install modules. Or fulfill these:

FIX: Build-require `perl(Config)' (inc/Module/Install/Can.pm:5).
FIX: Build-requie `perl(Fcntl)' (inc/Module/Install/Makefile.pm:7).

All tests pass. Ok.

$ rpmlint perl-Test-Fake-HTTPD.spec ../SRPMS/perl-Test-Fake-HTTPD-0.07-1.fc24.src.rpm ../RPMS/noarch/perl-Test-Fake-HTTPD-0.07-1.fc24.noarch.rpm 
(none): E: no installed packages by name perl-Test-Fake-HTTPD.spec
perl-Test-Fake-HTTPD.src: W: spelling-error %description -l en_US masaki -> Saki
perl-Test-Fake-HTTPD.src: W: spelling-error %description -l en_US cpan -> can, pan, span
perl-Test-Fake-HTTPD.noarch: W: spelling-error %description -l en_US masaki -> Saki
perl-Test-Fake-HTTPD.noarch: W: spelling-error %description -l en_US cpan -> can, pan, span
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Test-Fake-HTTPD-0.07-1.fc24.noarch.rpm                                                              drwxr-xr-x    2 root    root                        0 Feb 15 15:17 /usr/share/doc/perl-Test-Fake-HTTPD
-rw-r--r--    1 root    root                      474 Jan 25  2015 /usr/share/doc/perl-Test-Fake-HTTPD/Changes
-rw-r--r--    1 root    root                     6758 Jan 25  2015 /usr/share/doc/perl-Test-Fake-HTTPD/README.pod
-rw-r--r--    1 root    root                     2325 Feb 15 15:17 /usr/share/man/man3/Test::Fake::HTTPD.3pm.gz
-rw-r--r--    1 root    root                     2327 Feb 15 15:17 /usr/share/man/man3/Test::Fake::README.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb 15 15:17 /usr/share/perl5/vendor_perl/Test
drwxr-xr-x    2 root    root                        0 Feb 15 15:17 /usr/share/perl5/vendor_perl/Test/Fake
-rw-r--r--    1 root    root                     7024 Feb 15 15:17 /usr/share/perl5/vendor_perl/Test/Fake/HTTPD.pm
-rw-r--r--    1 root    root                     6758 Jan 25  2015 /usr/share/perl5/vendor_perl/Test/Fake/HTTPD.pm.sslparam
-rw-r--r--    1 root    root                     6758 Jan 25  2015 /usr/share/perl5/vendor_perl/Test/Fake/README.pod

FIX: Do install the HTTPD.pm.sslparam file. This can be achieved by removing `-b .sslparam' arguments from %patch0 command.

$ rpm -q --requires -p ../RPMS/noarch/perl-Test-Fake-HTTPD-0.07-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(HTTP::Daemon)
      1 perl(HTTP::Daemon::SSL)
      1 perl(HTTP::Message::PSGI)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(Test::TCP)
      1 perl(Time::HiRes)
      1 perl(URI)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: Constrain `perl(Scalar::Util)' with `>= 1.14'.

$ rpm -q --provides -p ../RPMS/noarch/perl-Test-Fake-HTTPD-0.07-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(Test::Fake::HTTPD) = 0.07
      1 perl-Test-Fake-HTTPD = 0.07-1.fc24
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Test-Fake-HTTPD-0.07-1.fc24.noarch.rpm
Binary dependencies resolvable. Ok.

Package builds in F24 (http://koji.fedoraproject.org/koji/taskinfo?taskID=12993425). Ok.

Otherwise the package is in line Fedora and Perl packaging guide lines.

Please correct all `FIX' items and consider fixing `TODO' items before building the package.

Resolution: Package APPROVED.

Comment 3 Upstream Release Monitoring 2016-02-15 15:37:45 UTC
dfateyev's scratch build of perl-Test-Fake-HTTPD-0.07-2.fc23.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12994040

Comment 4 Denis Fateyev 2016-02-15 15:45:22 UTC
(In reply to Petr Pisar from comment #2)
> FIX: Build-require `perl(Config)' (inc/Module/Install/Can.pm:5).
> FIX: Build-requie `perl(Fcntl)' (inc/Module/Install/Makefile.pm:7).

Oh, forgot about these two. Will add them.

> FIX: Do install the HTTPD.pm.sslparam file. This can be achieved by removing
> `-b .sslparam' arguments from %patch0 command.

I did it just to have the original version in buildroot for testing.
Seems not harmful, but sure I'll remove this backup anyway.

Thanks for reviewing the package.

Updated version:
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Test-Fake-HTTPD.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Test-Fake-HTTPD-0.07-2.fc24.src.rpm

Comment 5 Gwyn Ciesla 2016-02-15 18:00:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Test-Fake-HTTPD

Comment 6 Fedora Update System 2016-03-10 14:08:36 UTC
perl-Test-Fake-HTTPD-0.07-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bad94cd096

Comment 7 Fedora Update System 2016-03-10 14:08:43 UTC
perl-Test-Fake-HTTPD-0.07-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-035c3b864e

Comment 8 Fedora Update System 2016-03-12 17:25:56 UTC
perl-Test-Fake-HTTPD-0.07-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bad94cd096

Comment 9 Fedora Update System 2016-03-12 20:50:45 UTC
perl-Test-Fake-HTTPD-0.07-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-035c3b864e

Comment 10 Fedora Update System 2016-03-21 01:52:02 UTC
perl-Test-Fake-HTTPD-0.07-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-03-28 01:55:03 UTC
perl-Test-Fake-HTTPD-0.07-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.